<?php
error_reporting(0); 

$filename = 'c_leitura.php';
session_start();
if (!file_exists($filename)) {
  header("Location: error.php"); exit;   
}				
include 'c_leitura.php';
include ('db.php');


$id = $_POST['id'];
$nome = $_POST['nome'];
$email = $_POST['email'];
$status = $_POST['status'];
$perfil = $_POST['perfil'];
$id_pais = $_POST['id_pais'];
$telefone = $_POST['telefone'];
$clientID = $_POST['client_id'];
$secretID = $_POST['secret_id'];

if (!empty($_POST['apoio'])){
    $apoio = $_POST['apoio'];
} else {
    $apoio = $_SESSION['UsuarioID'];
}
if (!empty($_POST['porcent'])){
    $porcentagem = $_POST['porcent'];
} else {
    $porcentagem = 0;
}

if($clientID == "" || $secretID == ""){
	$clientID = "0";
	$secretID = "0";
	// echo json_encode(array('success' => 0, 'msg' => 'Preencha os campos, Client id e Secret id!'));
	// exit;
}

$sql = mysql_query("UPDATE user SET nome = '$nome', email = '$email', status ='$status', porcentagem = $porcentagem, id_pais = '$id_pais',  id_apoio = '$apoio', nivel = '$perfil', telefone = '$telefone', cpf = '$clientID', chave_pix = '$secretID' WHERE id = '$id'");

if (isset($_POST['login'])) {
	$sql = mysql_query("UPDATE user SET username = '$_POST[login]' WHERE id = '$id'");
}

if (isset($_POST['pass'])) {
	$pass = md5($_POST['pass']);
	$sql = mysql_query("UPDATE user SET passwd = '$pass' WHERE id = '$id'");
}

if ($sql) 
	echo json_encode(array('success'=>1, 'msg'=>'Cliente alterado com sucesso!'));
else
	echo json_encode(array('success'=>0, 'msg'=>'Erro ao alterar dados'));

exit;
